Skip to main content
PUT
/
api
/
v1
/
settings
/
{id}
Setting ayarlarını güncelle
curl --request PUT \
  --url https://transfer-sandbox.payven.com.tr/api/v1/settings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>",
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "category": "<string>",
  "default_value": "<string>",
  "validation_regex": "<string>",
  "possible_values": "<string>"
}
'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
value
string | null
required
extra_properties_dict
object
id
string<uuid>
description
string | null
category
string | null
default_value
string | null
validation_regex
string | null
possible_values
string | null

Response

OK

message
string | null
is_success
boolean
code
string | null
data
boolean